#!/bin/csh

# HEPiX 3.9.10
# Copyright (C) 2003-2005 CERN
# Author: KELEMEN Peter <Peter.Kelemen@cern.ch>

# $Id: hpx_debug.csh,v 1.14 2008/04/02 07:44:22 fuji Exp $

if ( ! $#argv ) then
	exit
endif

# NOTE: This won't work in csh(1) since HPX_DEBUG will not be set in the
# executing shell.  Desole.  Inside the if statement we don't bother
# checking the variables' existence since in csh(1) we won't be executing
# that bit, and in tcsh(1) they are guaranteed to be defined anyway.
if ( $?HPX_DEBUG ) then
	if ( $HPX_DEBUG != 0 ) then
		set HPX_DATE=`$HPXB_DATE +'%Y-%m-%d %T'`
		hpx_echo "D: ${HPX_DATE} ${HPX_USER} "${HPX_SHELL}"["$$"] ("${SHLVL}"): ${*}"
	endif
endif

# End of file.
