#!/bin/csh

# HEPiX 3.9.10
# Copyright (C) 2003-2005 CERN
# Author: KELEMEN Peter <Peter.Kelemen@cern.ch>

# $Id: hpx_path_prepend_unless_present.csh,v 1.6 2008/04/02 07:44:22 fuji Exp $

if ( "$1" == "" ) then
	echo "hpx_path_prepend_unless_present(): Missing pathname."
	exit
endif

# Prepend given directory to PATH unless it is already
# present (anywhere) in PATH.
# NOTE(fuji): Caller should eval() the returned result!

hpx_path_is_present "$1"
if ( $status ) then
	eval `hpx_path_prepend "$1"`
endif

echo "setenv PATH $PATH"

# End of file.
