#!/bin/csh

# HEPiX 3.9.10
# Copyright (C) 2003-2005 CERN
# Author: KELEMEN Peter <Peter.Kelemen@cern.ch>

# $Id: hpx_path_append.csh,v 1.8 2008/04/02 07:44:22 fuji Exp $

if ( "$1" == "" ) then
	echo "hpx_path_append(): Missing pathname."
	exit
endif

# Append given directoy to PATH.
# NOTE(fuji): Caller should eval() the returned result!

if ( "$PATH" == "" ) then
	echo "setenv PATH $1"
else
	echo "setenv PATH ${PATH}:${1}"
endif

# End of file.
