#!/bin/csh

# HEPiX 3.9.10
# Copyright (C) 2003-2005 CERN
# Author: KELEMEN Peter <Peter.Kelemen@cern.ch>

# $Id: hpx_path_prepend_unique.csh,v 1.6 2008/04/02 07:44:22 fuji Exp $

if ( "$1" == "" ) then
	echo "hpx_path_prepend_unique(): Missing pathname."
	exit
endif

# Prepend given directory to PATH and remove all other
# occurrences.
# NOTE(fuji): Caller should eval() the returned result!

eval `hpx_path_remove "$1"`
eval `hpx_path_prepend "$1"`
echo "setenv PATH $PATH"

# End of file.
