#!/bin/csh

# HEPiX 3.9.10
# Copyright (C) 2003-2005 CERN
# Author: KELEMEN Peter <Peter.Kelemen@cern.ch>

# $Id: hpx_path_remove.csh,v 1.6 2008/04/02 07:44:22 fuji Exp $

if ( "$1" == "" ) then
	echo "hpx_path_remove(): Missing pathname."
	exit
endif

# Remove all occurrences of a given directory from $PATH.
# NOTE(fuji): Caller should eval() the returned result!

set _HPX_PATH=""
set _HPX_PATH_SEP=""

foreach _HPX_DIR ($path)
	if ( "$_HPX_DIR" != "$1" ) then
		set _HPX_PATH=${_HPX_PATH}${_HPX_PATH_SEP}${_HPX_DIR}
	endif
	set _HPX_PATH_SEP=":"
end

echo "setenv PATH $_HPX_PATH"

unset _HPX_PATH
unset _HPX_PATH_SEP

# End of file.
