#!/bin/csh

# HEPiX 3.9.10
# Copyright (C) 2003-2005 CERN
# Author: KELEMEN Peter <Peter.Kelemen@cern.ch>

# $Id: periodic.csh,v 1.12 2008/04/02 07:44:22 fuji Exp $

if ( ! $?HPX_INIT ) then
	if ( $?HPX_HOME_CORE ) then
		source $HPX_HOME_CORE/init.csh
	else
		source /etc/hepix/init.csh
	endif
endif

set _HPX_TKLIFE=`$HPXB_ALIFETIME`
if ( $_HPX_TKLIFE == 0 ) then
	hpx_echo ">>>>> AFS token expired! <<<<<"
else if ( $_HPX_TKLIFE < 3600 ) then
	set _HPX_TKLIFE=`$HPXB_EXPR $_HPX_TKLIFE / 60`
	hpx_echo ">>>>> AFS token is going to expire in $_HPX_TKLIFE minutes <<<<<"
endif
unset _HPX_TKLIFE

# vim: nowrap
# End of file.
