#!/bin/csh

# HEPiX 3.9.10
# Copyright (C) 2003-2005 CERN
# Author: KELEMEN Peter <Peter.Kelemen@cern.ch>

# $Id: oracle_env.csh,v 1.11 2008/04/02 07:44:22 fuji Exp $

if ( $?_HPX_SEEN_ORACLE_ENV_CSH ) then
	exit
endif
set _HPX_SEEN_ORACLE_ENV_CSH=1

if ( ! $?HPX_INIT ) then
	if ( $?HPX_HOME_CORE ) then
		source $HPX_HOME_CORE/init.csh
	else
		source /etc/hepix/init.csh
	endif
endif

setenv ORACLE_CERN /afs/cern.ch/project/oracle
hpx_source $ORACLE_CERN/script/cshrc_oracle.csh

# End of file.
